<?php
/**
 * 2007-2021 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

namespace Core\App\Entity;

class Invoice
{
    public $facturi_key;
    public $facturi_punct_de_lucru;
    public $facturi_gestiune;
    public $facturi_data;
    public $facturi_data_scadenta;
    public $facturi_cota_tva;
    public $facturi_moneda;
    public $facturi_serie;
    public $facturi_numar;
    public $facturi_obs_up;
    public $facturi_mod_plata;
    public $facturi_status;
    public $facturi_client_id;
    public $facturi_nume_client;
    public $facturi_tip_persoana;
    public $facturi_codf_client;
    public $facturi_nrreg_client;
    public $facturi_sediu_client;
    public $facturi_judet_client;
    public $facturi_oras_client;
    public $facturi_clienti_tel;
    public $facturi_email_client;
    public $facturi_clienti_adresa_livrare;
    public $facturi_cont_client;
    public $facturi_banca_client;
    public $facturi_obs_client;
    public $facturi_clienti_oras_livrare;
    public $facturi_clienti_judet_livrare;
    public $facturi_nume_delegat;
    public $facturi_act_delegat;
    public $facturi_obs_delegat;
    public $fk_agent_name;
    public $unique_id_insert;

    public function getFacturiKey()
    {
        return $this->facturi_key;
    }

    public function getFacturiPunctDeLucru()
    {
        return $this->facturi_punct_de_lucru;
    }

    public function getFacturiGestiune()
    {
        return $this->facturi_gestiune;
    }

    public function getFacturiData()
    {
        return $this->facturi_data;
    }
    public function getFacturiDataScadenta()
    {
        return $this->facturi_data_scadenta;
    }

    public function getFacturiCotaTva()
    {
        return $this->facturi_cota_tva;
    }

    public function getFacturiMoneda()
    {
        return $this->facturi_moneda;
    }

    public function getFacturiSerie()
    {
        return $this->facturi_serie;
    }
    public function getFacturiNumar()
    {
        return $this->facturi_numar;
    }

    public function getFacturiObsUp()
    {
        return $this->facturi_obs_up;
    }

    public function getFacturiModPlata()
    {
        return $this->facturi_mod_plata;
    }

    public function getFacturiStatus()
    {
        return $this->facturi_status;
    }
    public function getFacturiClientId()
    {
        return $this->facturi_client_id;
    }

    public function getFacturiNumeClient()
    {
        return $this->facturi_nume_client;
    }

    public function getFacturiTipPersoana()
    {
        return $this->facturi_tip_persoana;
    }

    public function getFacturiCodfClient()
    {
        return $this->facturi_codf_client;
    }

    public function getFacturiNrregClient()
    {
        return $this->facturi_nrreg_client;
    }

    public function getFacturiSediuClient()
    {
        return $this->facturi_sediu_client;
    }

    public function getFacturiJudetClient()
    {
        return $this->facturi_judet_client;
    }

    public function getFacturiOrasClient()
    {
        return $this->facturi_oras_client;
    }

    public function getFacturiClientiTel()
    {
        return $this->facturi_clienti_tel;
    }

    public function getFacturiEmailClient()
    {
        return $this->facturi_email_client;
    }

    public function getFacturiClientiAdresaLivrare()
    {
        return $this->facturi_clienti_adresa_livrare;
    }

    public function getFacturiContClient()
    {
        return $this->facturi_cont_client;
    }

    public function getFacturiBancaClient()
    {
        return $this->facturi_banca_client;
    }

    public function getFacturiObsClient()
    {
        return $this->facturi_obs_client;
    }

    public function getFacturiClientiOrasLivrare()
    {
        return $this->facturi_clienti_oras_livrare;
    }

    public function getFacturiClientiJudetLivrare()
    {
        return $this->facturi_clienti_judet_livrare;
    }

    public function getFacturiNumeDelegat()
    {
        return $this->facturi_nume_delegat;
    }
    public function getFacturiActDelegat()
    {
        return $this->facturi_act_delegat;
    }

    public function getFacturiObsDelegat()
    {
        return $this->facturi_obs_delegat;
    }

    public function getFkAgentName()
    {
        return $this->fk_agent_name;
    }

    public function setFacturiKey($facturi_key)
    {
        $this->facturi_key = $facturi_key;
    }

    public function setFacturiPunctDeLucru($facturi_punct_de_lucru)
    {
        $this->facturi_punct_de_lucru = $facturi_punct_de_lucru;
    }

    public function setFacturiGestiune($facturi_gestiune)
    {
        $this->facturi_gestiune = $facturi_gestiune;
    }

    public function setFacturiData($facturi_data)
    {
        $this->facturi_data = $facturi_data;
    }
    public function setFacturiDataScadenta($facturi_data_scadenta)
    {
        $this->facturi_data_scadenta = $facturi_data_scadenta;
    }

    public function setFacturiCotaTva($facturi_cota_tva)
    {
        $this->facturi_cota_tva = $facturi_cota_tva;
    }

    public function setFacturiMoneda($facturi_moneda)
    {
        $this->facturi_moneda = $facturi_moneda;
    }

    public function setFacturiSerie($facturi_serie)
    {
        $this->facturi_serie = $facturi_serie;
    }
    public function setFacturiNumar($facturi_numar)
    {
        $this->facturi_numar = $facturi_numar;
    }

    public function setFacturiObsUp($facturi_obs_up)
    {
        $this->facturi_obs_up = $facturi_obs_up;
    }

    public function setFacturiModPlata($facturi_mod_plata)
    {
        $this->facturi_mod_plata = $facturi_mod_plata;
    }

    public function setFacturiStatus($facturi_status)
    {
        $this->facturi_status = $facturi_status;
    }
    public function setFacturiClientId($facturi_client_id)
    {
        $this->facturi_client_id = $facturi_client_id;
    }

    public function setFacturiNumeClient($facturi_nume_client)
    {
        $this->facturi_nume_client = $facturi_nume_client;
    }

    public function setFacturiTipPersoana($facturi_tip_persoana)
    {
        $this->facturi_tip_persoana = $facturi_tip_persoana;
    }

    public function setFacturiCodfClient($facturi_codf_client)
    {
        $this->facturi_codf_client = $facturi_codf_client;
    }

    public function setFacturiNrregClient($facturi_nrreg_client)
    {
        $this->facturi_nrreg_client = $facturi_nrreg_client;
    }

    public function setFacturiSediuClient($facturi_sediu_client)
    {
        $this->facturi_sediu_client = $facturi_sediu_client;
    }

    public function setFacturiJudetClient($facturi_judet_client)
    {
        $this->facturi_judet_client = $facturi_judet_client;
    }

    public function setFacturiOrasClient($facturi_oras_client)
    {
        $this->facturi_oras_client = $facturi_oras_client;
    }

    public function setFacturiClientiTel($facturi_clienti_tel)
    {
        $this->facturi_clienti_tel = $facturi_clienti_tel;
    }

    public function setFacturiEmailClient($facturi_email_client)
    {
        $this->facturi_email_client = $facturi_email_client;
    }

    public function setFacturiClientiAdresaLivrare($facturi_clienti_adresa_livrare)
    {
        $this->facturi_clienti_adresa_livrare = $facturi_clienti_adresa_livrare;
    }

    public function setFacturiContClient($facturi_cont_client)
    {
        $this->facturi_cont_client = $facturi_cont_client;
    }

    public function setFacturiBancaClient($facturi_banca_client)
    {
        $this->facturi_banca_client = $facturi_banca_client;
    }

    public function setFacturiObsClient($facturi_obs_client)
    {
        $this->facturi_obs_client = $facturi_obs_client;
    }

    public function setFacturiClientiOrasLivrare($facturi_clienti_oras_livrare)
    {
        $this->facturi_clienti_oras_livrare = $facturi_clienti_oras_livrare;
    }

    public function setFacturiClientiJudetLivrare($facturi_clienti_judet_livrare)
    {
        $this->facturi_clienti_judet_livrare = $facturi_clienti_judet_livrare;
    }

    public function setFacturiNumeDelegat($facturi_nume_delegat)
    {
        $this->facturi_nume_delegat = $facturi_nume_delegat;
    }
    public function setFacturiActDelegat($facturi_act_delegat)
    {
        $this->facturi_act_delegat = $facturi_act_delegat;
    }

    public function setFacturiObsDelegat($facturi_obs_delegat)
    {
        $this->facturi_obs_delegat = $facturi_obs_delegat;
    }

    public function setFkAgentName($fk_agent_name)
    {
        $this->fk_agent_name = $fk_agent_name;
    }

    public function getUniqueIdInsert()
    {
        $this->unique_id_insert;
    }

    public function setUniqueIdInsert($unique_id_insert)
    {
        $this->unique_id_insert = $unique_id_insert;
    }
}
