<?php 

namespace Core\App\Factory;

class ProductFactory extends OrderItemFactory
{
    public function createProduct(
        $product_ids,
        $product_name,
        $ean,
        $sku,
        $currency_code,
        $price,
        $tax,
        $prod_tip,
        $taxIncluded = false
    )
    {
        $product = new \Core\App\Entity\Product();

        $pretFtva = $this->getPretftva($price, $this->getTaxRate($tax), 0, $taxIncluded);
        $pretCtva = $this->getPretctva($price, $this->getTaxRate($tax), 0, $taxIncluded);

        $product->setProdNume($this->stripSpecialChars($product_name));
        $product->setProdCod($ean);
        $product->setProdSku($sku);
        $product->setProdUm(self::UM);
        $product->setProdCod1($this->getPrefix().$product_ids);
        $product->setFkCursMoneda($currency_code);
        $product->setFkCoteTvaNume($this->getTaxName($tax));
        $product->setProdTip($prod_tip);
        $product->setProdPretFtva($pretFtva);
        $product->setProdPretCtva($pretCtva);
        
        return $product;  
        
    }
}   
    
