<?php
namespace Core\Language;

class English extends AnyLanguage
{
    public function __construct()
    {
        $this->data['home'] = 'Home';
        $this->data['back'] = 'Back';
        $this->data['fsync_autostock_info'] = 'Note: Automatic synchronization requires ';
        $this->data['fsync_autostock_info'] .= 'a cron job with the following URL:';
        $this->data['title'] = 'Facturis Online Sync';
        $this->data['description'] = 'Synchronize data between your store and your Facturis Online account.';
        $this->data['version_text'] = 'Module Version';   
        $this->data['version_link'] = 'https://facturis-online.ro/';  
        $this->data['check_latest_version'] = 'Click here to check if you have the latest version of the module';
        $this->data['version_check_error'] = 'Version check error'; 
        $this->data['version_check_success'] = 'You have the latest version!';
        $this->data['version_check_new'] = 'There is a newer version';
        $this->data['version_check_link_1'] = 'For details click';
        $this->data['version_check_link_2'] = 'here';
        $this->data['error_auth_data'] = 'Please fill in all the fields from the ';
        $this->data['error_auth_data'] .= 'authentication section of the synchronization module';
        
        //tutorial
        $this->data['tutorial_title'] = 'Setup instructions';
        $this->data['tutorial_p'] = "Let's get started by following this guide";
        $this->data['tutorial_1']  = 'This module helps a user of the Facturis Online platform ';
        $this->data['tutorial_1'] .= 'who has a Prestashop store ';
        $this->data['tutorial_1'] .= 'and who wants to have synchronized, in a faster and more convenient way, ';
        $this->data['tutorial_1'] .= 'the products, orders ';
        $this->data['tutorial_1'] .= 'and stock between the 2 online applications';
        $this->data['tutorial_2']  = 'The first thing before using this module is the correct ';
        $this->data['tutorial_2'] .= 'completion of the section ';
        $this->data['tutorial_2'] .= 'Authentication with data from his account Facturis Online';
        $this->data['tutorial_3']  = 'The second step is to set preferences in the Options ';
        $this->data['tutorial_3'] .= 'section to customize subsequent ';
        $this->data['tutorial_3'] .= 'synchronization processes';
        $this->data['tutorial_4']  = 'The last step is to choose a data type from the Synchronization section ';
        $this->data['tutorial_4'] .= 'and start the synchronization process';

        //tab 1
        $this->data['tab_name_1'] = 'Synchronization';
        $this->data['tab_description_1'] = 'Select the data type and then press Syncronize button';
        $this->data['data_type'] = '[Choose data type]';
        $this->data['product'] = 'Products';
        $this->data['order'] = 'Orders';
        $this->data['stock'] = 'Stock';
        $this->data['avize'] = 'Goods accompanying notices';
        $this->data['factura'] = 'Bills';
        $this->data['expfactura'] = 'Bills';
        $this->data['proforma'] = 'Proformas';
        $this->data['sync_btn'] = 'Synchronize';
        $this->data['datatype_error'] = 'The data type is required.';
        $this->data['sync_please_wait'] = 'Synchronizing data ... Please wait ...';
        $this->data['authform_error'] = 'The authentication form must be completed correctly and saved';
        $this->data['success_sync_prod'] = 'Successfully synchronized products!';
        $this->data['success_sync_order'] = 'Successfully synchronized orders!';
        $this->data['success_sync_expfactura'] = 'Successfully synchronized bills!';
        $this->data['success_sync_avize'] = 'Successfully synchronized goods accompanying notices!';
        $this->data['success_sync_expfactura'] = 'Successfully synchronized bills!';
        $this->data['success_sync_proforma'] = 'Successfully synchronized orders! (view Proforme in Facturis Online) ';
        $this->data['success_sync_stock'] = 'Successfully synchronized stock!';
		$this->data['start_sync_prod'] = 'Products synchronization started..';
        $this->data['start_sync_order'] = 'Orders synchronization started..';
        $this->data['start_sync_proforma'] = 'Proformas synchronization started..';
        $this->data['start_sync_stock'] = 'Stock synchronization started..';        
        $this->data['select_text'] = 'Select sync data type';
        
        //tab 2
        $this->data['tab_name_2'] = 'Authentication';
        $this->data['tab_description_2'] = 'All fields are required';
        $this->data['auth_api_key'] = 'API Key';
        $this->data['auth_username'] = 'Username';
        $this->data['auth_password'] = 'Password';
        $this->data['auth_fiscal_code'] = 'Fiscal code';
        $this->data['save_btn'] = 'Save';
        $this->data['auth_apikey_error'] = 'API key is required.';
        $this->data['auth_username_error'] = 'Username is required.';
        $this->data['auth_password_error'] = 'Password is required.';
        $this->data['auth_fiscalcode_error'] = 'Fiscal code is required.';
        $this->data['success_auth'] = 'The credentials are correct and now you have access to synchronization!';

        //tab 3 and tab 4
        $this->data['tab_name_3'] = 'Order Sync Options';
        $this->data['tab_name_4'] = 'Stock Sync Options';
        $this->data['tab_name_3_1'] = 'Order Synchronization Options';
        $this->data['tab_name_3_2'] = 'Stock Synchronization Options';

        $this->data['sync_orders_as'] = 'Synchronize orders as';
        $this->data['proforma_series'] = 'Proforma series';
        $this->data['avize_series'] = 'Goods accompanying notices series';
        $this->data['expfactura_series'] = 'Bills series';
        $this->data['days_ago'] = 'Sync only orders created in the last few days';
        $this->data['auto_order_sync'] = 'Auto order synchronization';
        $this->data['doc_upd'] = 'Block document change';
        $this->data['show_obs'] = 'Show document observation';
        $this->data['auto_stock_sync'] = 'Auto stock synchronization';
        $this->data['auto_stock_link'] = 'You can place the following URL in your crontab file, or you can click it yourself regularly';
        $this->data['activ'] = 'Enabled';
        $this->data['inactiv'] = 'Disabled';

        $this->data['cron_job'] = 'Note: Automatic synchronization requires a cron job with the following URL:';
        $this->data['filter_stock'] = 'Filter stock by working unit and management';
        $this->data['filter_pdls'] = 'Work points';
        $this->data['filter_pdls_all'] = '-';
        $this->data['filter_stock_all'] = 'All working units';
        $this->data['loading_data_please_wait'] = 'Loading data ... Please wait ...';

        $this->data['option_proformaserie_error'] = 'Proforma serie is required';
        $this->data['option_avizeserie_error'] = 'Goods serie is required';
        $this->data['option_expfacturaserie_error'] = 'Bill serie is required';
        $this->data['option_daysago_error'] = 'Field is required and must contain only digits';
        $this->data['success_options'] = 'You have successfully saved the selected options!';
        $this->data['success_save_data'] = 'You have successfully saved the selected data!';
        $this->data['locations'] = 'Choose the locations where the stock will be updated';
		$this->data['success_save_options'] = 'You have successfully saved the selected options!';
        $this->data['success_save_auth'] = 'You have successfully saved the entered credentials!';
        
        $this->data['confirm_uninstall'] = 'Are you sure you want to uninstall the module ?';
        
        $this->data['proforma_invoice_options_title'] = 'Enable/disable buttons for proforma ';
        $this->data['proforma_invoice_options_title'] .= 'and invoice on the Order View page';
        $this->data['add_proforma'] = 'Add Proforma';
        $this->data['add_avize'] = 'Add Goods accompanying notices';
        $this->data['add_expfactura'] = 'Add Bill';
        $this->data['add_invoice'] = 'Add Invoice';
        $this->data['view_proforma'] = 'View Proforma - (PDF)';
        $this->data['view_invoice'] = 'View Invoice - (PDF)';
        $this->data['edit_proforma'] = 'Edit Proforma';
        $this->data['edit_invoice'] = 'Edit Invoice';
		$this->data['with_discount'] = 'Include discount in final price';
        $this->data['with_discount_desc'] = '(valid for orders, invoices and proforms)';

        $this->data['fosync_proforma_series2_label'] = 'Proforma series (optional)';
        $this->data['fosync_invoice_series_label'] = 'Invoice series (optional)';
        $this->data['fosync_avize_series2_label'] = 'Goods series (optional)';
        $this->data['fosync_expfactura_series2_label'] = 'Bills series (optional)';
        
        //tab 5
        $this->data['tab_name_5'] = 'Logs';
        $this->data['datepicker'] = 'en-gb';
        $this->data['download_btn'] = 'Download';
        $this->data['clear_btn'] = 'Clear';
        $this->data['tab_description_5_1'] = 'Select data interval and then press Download button to get the logs';
        $this->data['tab_description_5_2'] = 'Press Clear to reset all logs';
        $this->data['success_download_log'] = 'The log file was downloaded succesfully!';
        $this->data['error_download_log'] = 'There was an error downloading the log file';
        $this->data['download_log_error_1'] = 'You must complete the start date';
        $this->data['download_log_error_2'] = 'You must complete the end date';
        $this->data['confirm_clear_log'] = 'Are you sure you want to clear the log file ?';
        $this->data['success_clear_log'] = 'The log file was cleared succesfully!';
        $this->data['error_clear_log'] = 'There was an error clearing the log file';
        $this->data['log_header_date'] = 'Date';
        $this->data['log_header_type'] = 'Type';
        $this->data['log_header_description'] = 'Description';

        $this->data['success_add_proforma_a']      = 'Proforma: %s1 %s2 was successfully added for order with id: %s3';
        $this->data['success_add_proforma_b']      = 'Proforma was successfully added for order with id: %s1';
        $this->data['success_view_proforma']      = 'Proforma successfully viewed';

        $this->data['success_add_invoice_a']      = 'Invoice: %s1 %s2 was successfully added for order with id: %s3';
        $this->data['success_add_invoice_b']      = 'Invoice was successfully added for order with id: %s1';
        $this->data['success_view_invoice']      = 'Invoice successfully viewed';

        $this->data['no_invoice_found']      = 'Sorry, no invoices were found in ';
        $this->data['no_invoice_found']      .= 'Facturis Online for the selected order';
        $this->data['no_proforma_found']      = 'Sorry, but no proforma was found in ';
        $this->data['no_proforma_found']      .= 'Facturis Online for the selected order';

		$this->data['success_test_auth'] = 'Authentication testing completed successfully';
        $this->data['start_sync_process'] = 'The sync process has started';
        
        //view order sync buttons
        $this->data['fosync_add_proforma_btn'] = 'Add proforma';
        $this->data['fosync_view_proforma_btn'] = 'View proforma';
        $this->data['fosync_edit_proforma_btn'] = 'Edit proforma';
        $this->data['fosync_add_invoice_btn'] = 'Add invoice';
        $this->data['fosync_view_invoice_btn'] = 'View invoice';
        $this->data['fosync_edit_invoice_btn'] = 'Edit invoice';
    }
    }
