<?php
namespace Core\Language;

class Romanian extends AnyLanguage
{
    public function __construct()
    {
        $this->data['home'] = 'Acasă';
        $this->data['back'] = 'Înapoi';
        $this->data['fsync_autostock_info']  = 'Nota: Pentru sincronizarea automata ';
        $this->data['fsync_autostock_info'] .= 'este nevoie de un cron job cu urmatorul URL: ';
        $this->data['title'] = 'Facturis Online Sync';
        $this->data['description'] = 'Sincronizați datele între magazinul dvs. și contul Facturis Online.';
        $this->data['version_text'] = 'Versiunea modulului';   
        $this->data['version_link'] = 'https://facturis-online.ro/';  
        $this->data['check_latest_version'] = 'Verificați aici care este cea mai recentă versiune'; 
        $this->data['version_check_error'] = 'Eroare la verificarea versiunii'; 
        $this->data['version_check_success'] = 'Aveți ultima versiune!';
        $this->data['version_check_new'] = 'Există o versiune mai nouă';
        $this->data['version_check_link_1'] = 'Pentru detalii, accesați';
        $this->data['version_check_link_2'] = 'aici';
        $this->data['error_auth_data']  = 'Vă rugăm să completați toate câmpurile de la secțiunea autentificare ';
        $this->data['error_auth_data'] .= 'a modulului pentru sincronizare';

        //tutorial
        $this->data['tutorial_title'] = 'Instrucțiuni';
        $this->data['tutorial_p'] = 'Să începem urmând acest ghid';
        $this->data['tutorial_1']  = 'Acest modul vine în ajutorul unui utilizator ';
        $this->data['tutorial_1'] .= 'al platformei Facturis Online ';
        $this->data['tutorial_1'] .= 'care are un magazin Prestashop și care își dorește aibă sincronizate, ';
        $this->data['tutorial_1'] .= 'într-un mod mai rapid ';
        $this->data['tutorial_1'] .= 'și mai comod, produsele, comenzile și stocul între cele 2 aplicații online';
        $this->data['tutorial_2']  = 'Primul lucrul înainte de a folosi acest modul reprezintă completarea corectă a ';
        $this->data['tutorial_2'] .= 'secțiunii Autentificare ';
        $this->data['tutorial_2'] .= 'cu date din contul său Facturis Online';
        $this->data['tutorial_3']  = 'Al doilea pas este setarea unor preferințe din secțiunea Opțiuni ';
        $this->data['tutorial_3'] .= 'pentru a particulariza ';
        $this->data['tutorial_3'] .= 'procesele de sincronizare ulterioare';
        $this->data['tutorial_4']  = 'Ultimul pas este alegerea unui tip de date din secțiunea Sincronizare ';
        $this->data['tutorial_4'] .= 'și pornirea procesului de sincronizare';

        //tab 1
        $this->data['tab_name_1'] = 'Sincronizare';
        $this->data['tab_description_1'] = 'Selectați tipul de date și apoi apăsați butonul Sincronizare';
        $this->data['data_type'] = '[Alegeți tipul de date]';
        $this->data['product'] = 'Produse';
        $this->data['order'] = 'Comenzi';
        $this->data['stock'] = 'Stoc';
        $this->data['avize'] = 'Avize de insotire a marfii';
        $this->data['factura'] = 'Facturi';
        $this->data['expfactura'] = 'Facturi';
        $this->data['proforma'] = 'Proforme';
        $this->data['sync_btn'] = 'Sincronizare';
        $this->data['datatype_error'] = 'Tipul de date este obligatoriu.';
        $this->data['sync_please_wait'] = 'Se sincronizează datele ... Vă rugăm să așteptați ...';
        $this->data['authform_error'] = 'Formularul de autentificare trebuie completat corect si salvat';
        $this->data['success_sync_prod'] = 'Produse sincronizate cu succes!';
        $this->data['success_sync_order'] = 'Comenzi sincronizate cu succes!';
        $this->data['success_sync_expfactura'] = 'Facturi sincronizate cu succes!';
        $this->data['success_sync_avize'] = 'Avize sincronizate cu succes!';
        $this->data['success_sync_expfactura'] = 'Facturi sincronizate cu succes!';
        $this->data['success_sync_proforma'] = 'Comenzi sincronizate cu succes! ';
        $this->data['success_sync_proforma'] .= '(vizualizați Proforme în Facturis Online)';
        $this->data['success_sync_stock'] = 'Stoc sincronizat cu succes!';
		$this->data['start_sync_prod'] = 'S-a început sincronizarea produselor..';
        $this->data['start_sync_order'] = 'S-a început sincronizarea comenzilor..';
        $this->data['start_sync_proforma'] = 'S-a început sincronizarea proformelor..';
        $this->data['start_sync_stock'] = 'S-a început sincronizarea stocului..';
        
        $this->data['select_text'] = 'Selectați tipul de date';

        //tab 2
        $this->data['tab_name_2'] = 'Autentificare';
        $this->data['tab_description_2'] = 'Toate câmpurile sunt obligatorii';
        $this->data['auth_api_key'] = 'Cheie API';
        $this->data['auth_username'] = 'Nume utilizator';
        $this->data['auth_password'] = 'Parolă';
        $this->data['auth_fiscal_code'] = 'Codul fiscal';
        $this->data['save_btn'] = 'Salvare';
        $this->data['auth_apikey_error'] = 'Este necesară cheia API.';
        $this->data['auth_username_error'] = 'Nume utilizator este obligatoriu.';
        $this->data['auth_password_error'] = 'Parola este necesară.';
        $this->data['auth_fiscalcode_error'] = 'Codul fiscal este necesar.';
        $this->data['success_auth'] = 'Datele de autentificare sunt corecte și acum aveți acces la sincronizare!';

        //tab 3 si tab 4
        $this->data['tab_name_3'] = 'Opțiuni sinc. comandă';
        $this->data['tab_name_4'] = 'Opțiuni sinc. stoc';
        $this->data['tab_name_3_1'] = 'Opțiuni de sincronizare a comenzii';
        $this->data['tab_name_3_2'] = 'Opțiuni de sincronizare stoc';

        $this->data['sync_orders_as'] = 'Sincronizați comenzile ca';
        $this->data['proforma_series'] = 'Serie Proformă';
        $this->data['avize_series'] = 'Serie Avize';
        $this->data['expfactura_series'] = 'Serie Facturi';
        $this->data['days_ago'] = 'Sincronizați numai comenzile create în ultimele zile';
        $this->data['auto_order_sync'] = 'Sincronizare automată a comenzilor';
        $this->data['doc_upd'] = 'Blocare modificare document';
        $this->data['show_obs'] = 'Afiseaza observatii document';
        $this->data['auto_stock_sync'] = 'Sincronizare automată stoc';
        $this->data['auto_stock_link'] = 'Puteți plasa următoarea adresă URL în fișierul crontab sau puteți face clic pe ea în mod regulat';
        $this->data['activ'] = 'Activat';
        $this->data['inactiv'] = 'Dezactivat';

        $this->data['cron_job'] = 'Notă: Sincronizarea automată necesită un cron job cu următoarea adresă URL:';
        $this->data['filter_stock'] = 'Filtrați stocul după punct de lucru și gestiune';
        $this->data['filter_pdls'] = 'Punct de lucru';
        $this->data['filter_pdls_all'] = '-';
        $this->data['filter_stock_all'] = 'Toate punctele de lucru';
        $this->data['loading_data_please_wait'] = 'Se încărcă datele ... Vă rugăm să așteptați ...';

        $this->data['option_proformaserie_error'] = 'Este necesară seria Proformă';
        $this->data['option_avizeserie_error'] = 'Este necesară seria Aviz';
        $this->data['option_expfacturaserie_error'] = 'Este necesară seria Factura';
        $this->data['option_daysago_error'] = 'Câmpul este obligatoriu și trebuie să conțină doar cifre';
        $this->data['success_options'] = 'Ați salvat cu succes opțiunile selectate!';
        $this->data['success_save_data'] = 'Ați salvat cu succes datele introduse!';
        $this->data['locations'] = 'Alegeți locațiile în care se va actualiza stocul';

         //tab 4
         $this->data['tab_name_4'] = 'Optiuni stoc';
         
         $this->data['success_save_options'] = 'Ați salvat cu succes opțiunile introduse!';
        $this->data['success_save_auth'] = 'Ați salvat cu succes datele de autentificare introduse!';

        $this->data['proforma_invoice_options_title'] = 'Activare/dezactivare butoane pentru proformă ';
        $this->data['proforma_invoice_options_title'] .= 'și factură pe pagina de Vizualizare comandă';
        $this->data['add_proforma'] = 'Adaugă proformă';
        $this->data['add_invoice'] = 'Adaugă factură';
        $this->data['view_proforma'] = 'Vizualizează proformă - (PDF)';
        $this->data['view_invoice'] = 'Vizualizează factură - (PDF)';
        $this->data['edit_proforma'] = 'Modifică proformă';
        $this->data['edit_invoice'] = 'Modifică factură';
		$this->data['with_discount'] = 'Includere discount în prețul final';
        $this->data['with_discount_desc'] = '(valabil pentru comenzi, facturi si proforme)';

        $this->data['fosync_proforma_series2_label'] = 'Serie proformă (opțional)';
        $this->data['fosync_invoice_series_label'] = 'Serie factură (opțional)';
        $this->data['fosync_avize_series2_label'] = 'Serie aviz (opțional)';
        $this->data['fosync_expfactura_series2_label'] = 'Serie factura (opțional)';

        //tab 5
        $this->data['tab_name_5'] = 'Jurnale de activitate';
        $this->data['datepicker'] = 'ro';
        $this->data['download_btn'] = 'Descarcă';
        $this->data['clear_btn'] = 'Golește';
        $this->data['tab_description_5_1'] = 'Selectați intervalul de timp ';
        $this->data['tab_description_5_1'] .= 'și apoi apăsați butonul Descărcare pentru a obține ';
        $this->data['tab_description_5_1'] .= 'jurnalele de activitate';
        $this->data['tab_description_5_2'] = 'Apăsați Golește pentru a reseta toate jurnalele de activitate';
        $this->data['success_download_log'] = 'Fișierul de jurnal a fost descărcat cu succes!';
        $this->data['error_download_log'] = 'A apărut o eroare la descărcarea fișierului';
        $this->data['download_log_error_1'] = 'Trebuie să completați data de început';
        $this->data['download_log_error_2'] = 'Trebuie să completați data de sfârșit';
        $this->data['confirm_clear_log'] = 'Sunteți sigur că doriți să ștergeți fișierul jurnal ?';
        $this->data['success_clear_log'] = 'Fișierul jurnal a fost șters cu succes!';
        $this->data['error_clear_log'] = 'A apărut o eroare la ștergerea fișierului jurnal';
        $this->data['log_header_date'] = 'Data';
        $this->data['log_header_type'] = 'Tip';
        $this->data['log_header_description'] = 'Descriere';
        
        $this->data['success_add_proforma_a']      = 'Proforma: %s1 %s2 a fost adăugată cu succes ';
        $this->data['success_add_proforma_a']      .= 'pentru comanda cu id-ul: %s3';
        $this->data['success_add_proforma_b']      = 'Proforma a fost adăugată cu succes pentru comanda cu id-ul: %s1';
        $this->data['success_view_proforma']      = 'Proformă vizualizată cu succes';

        $this->data['success_add_invoice_a']      = 'Factura: %s1 %s2 a fost adăugată ';
        $this->data['success_add_invoice_a']      .= 'cu succes pentru comanda cu id-ul: %s3';
        $this->data['success_add_invoice_b']      = 'Factura a fost adăugată cu succes pentru comanda cu id-ul: %s1';
        $this->data['success_view_invoice']      = 'Factură vizualizată cu succes';

        $this->data['no_invoice_found']       = 'Ne pare rău, dar nu a fost găsită nici o factură în Facturis Online ';
        $this->data['no_invoice_found']      .= 'pentru comanda selectată';
        $this->data['no_proforma_found']      = 'Ne pare rău, dar nu a fost găsită nici o proformă în Facturis Online ';
        $this->data['no_proforma_found']      .= 'pentru comanda selectată';

		$this->data['success_test_auth'] = 'Testarea pentru autentificare a fost finalizată cu succes';
        $this->data['start_sync_process'] = 'A inceput procesul de sincronizare';

        $this->data['confirm_uninstall'] = 'Sigur doriți să dezinstalați modulul?';
        
        //view order sync buttons
        $this->data['fosync_add_proforma_btn']      = 'Adaugă proformă';
        $this->data['fosync_view_proforma_btn']      = 'Vizualizează proformă';
        $this->data['fosync_edit_proforma_btn']      = 'Modifică proformă';
        $this->data['fosync_add_invoice_btn']      = 'Adaugă factură';
        $this->data['fosync_view_invoice_btn']      = 'Vizualizează factură';
        $this->data['fosync_edit_invoice_btn']      = 'Modifică factură';
    }
    }
